Package org.opensaml.xacml.policy.impl

# Class DescriptionTypeMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.xacml.impl.AbstractXACMLObjectMarshaller
org.opensaml.xacml.policy.impl.DescriptionTypeMarshaller

All Implemented Interfaces:
  `Marshaller`

public class DescriptionTypeMarshaller extends AbstractXACMLObjectMarshaller
Marshaller for `DescriptionType`.

## Constructor Summary

Constructors
Constructor
Description
`DescriptionTypeMarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`marshallElementContent(XMLObject xmlobject, Element domElement)`
No-op method.

### Methods inherited from class org.opensaml.xacml.impl.AbstractXACMLObjectMarshaller

`marshallAttributes`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DescriptionTypeMarshaller

public DescriptionTypeMarshaller()

## Method Details

### marshallElementContent

protected void marshallElementContent(XMLObject xmlobject, Element domElement) throws MarshallingException
No-op method. Extending implementations should override this method if they have text content to marshall into the Element. Marshalls data from the XMLObject into content of the DOM Element. The default implementation of this method is a no-op.

Overrides:
  `marshallElementContent` in class `AbstractXACMLObjectMarshaller`
Parameters:
  `xmlobject` - the XMLObject
  `domElement` - the DOM element recieving the content
Throws:
  `MarshallingException` - thrown if the textual content can not be added to the DOM element